FinancialModel
Save financial model parameters
Takes input parameters and calculates new financial model inputs. Does not persist; returns calculated values.
Parameters:
-
projectId(path, required): The project ID. -
predictionId(path, required): The prediction ID. -
modelInputs(body, required): FinancialModelParameters with input values to calculate.
POST
/
Project
/
{projectId}
/
Prediction
/
{predictionId}
/
FinancialModelParameters
Save financial model parameters
curl --request POST \
--url https://api.plantpredict.terabase.energy/Project/{projectId}/Prediction/{predictionId}/FinancialModelParameters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 166274,
"systemSizeAtPOI": 0.15,
"systemInverterCapacity": 0.15,
"systemSize": 0.195,
"specificYieldUsedInAnalysis": 1504.9936308468727,
"dcacAtPOI": 1.3,
"dcacAtInverter": 1.3,
"epcbosCost": 0.5,
"epcCapitalCost": 0.0975,
"developmentCostTotal": 0.03,
"moduleCostTotal": 0.058499999999999996,
"capitalCostTotalPreITC": 0.186,
"capitalCostTotalPostITC": 0.13763999999999998,
"yearOneEnergy": 293.4737580151402,
"averageGCRPercentage": 40,
"itcTotal": 0.04836,
"basisForDepreciation": 0.15252,
"bonusDepreciation": 0,
"basisForMACRS": 0.15252,
"salvageValue": 0.009300000000000001,
"energyInput": 1504.9936308468727,
"bosInput": 0.5,
"developmentCostPerWatt": 0.2,
"moduleCostPerWatt": 0.3,
"itcPercentage": 26,
"yearOneEnergyAdjustmentPercentage": 0,
"annualSolarDegradationPercentage": 0.3,
"ppaPrice": 25,
"ppaEscalatorPercentage": 0,
"omYearOne": 3.5,
"omYearlyEscalatorPercentage": 2.5,
"ppaDuration": 20,
"postPPAPrice": 50,
"postPPAPriceEscalationPercentage": 2,
"projectLife": 35,
"discountNPVPercentage": 6,
"itcEligibilityPercentage": 100,
"solarSalvageValuePercentage": 5,
"insuranceCapitalCostPercentage": 0.15,
"insuranceEscalatorPerYearPercentage": 0,
"bonusDepreciationRate": 0,
"stateTaxRate": 6,
"federalTaxRate": 21,
"solarLandLeaseCost": 0,
"solarLandLeaseEscalationPercentage": 0,
"solarPropertyTaxCost": 0,
"solarPropertyTaxEscalationPercentage": 0
}
'import requests
url = "https://api.plantpredict.terabase.energy/Project/{projectId}/Prediction/{predictionId}/FinancialModelParameters"
payload = {
"id": 166274,
"systemSizeAtPOI": 0.15,
"systemInverterCapacity": 0.15,
"systemSize": 0.195,
"specificYieldUsedInAnalysis": 1504.9936308468727,
"dcacAtPOI": 1.3,
"dcacAtInverter": 1.3,
"epcbosCost": 0.5,
"epcCapitalCost": 0.0975,
"developmentCostTotal": 0.03,
"moduleCostTotal": 0.058499999999999996,
"capitalCostTotalPreITC": 0.186,
"capitalCostTotalPostITC": 0.13763999999999998,
"yearOneEnergy": 293.4737580151402,
"averageGCRPercentage": 40,
"itcTotal": 0.04836,
"basisForDepreciation": 0.15252,
"bonusDepreciation": 0,
"basisForMACRS": 0.15252,
"salvageValue": 0.009300000000000001,
"energyInput": 1504.9936308468727,
"bosInput": 0.5,
"developmentCostPerWatt": 0.2,
"moduleCostPerWatt": 0.3,
"itcPercentage": 26,
"yearOneEnergyAdjustmentPercentage": 0,
"annualSolarDegradationPercentage": 0.3,
"ppaPrice": 25,
"ppaEscalatorPercentage": 0,
"omYearOne": 3.5,
"omYearlyEscalatorPercentage": 2.5,
"ppaDuration": 20,
"postPPAPrice": 50,
"postPPAPriceEscalationPercentage": 2,
"projectLife": 35,
"discountNPVPercentage": 6,
"itcEligibilityPercentage": 100,
"solarSalvageValuePercentage": 5,
"insuranceCapitalCostPercentage": 0.15,
"insuranceEscalatorPerYearPercentage": 0,
"bonusDepreciationRate": 0,
"stateTaxRate": 6,
"federalTaxRate": 21,
"solarLandLeaseCost": 0,
"solarLandLeaseEscalationPercentage": 0,
"solarPropertyTaxCost": 0,
"solarPropertyTaxEscalationPercentage": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 166274,
systemSizeAtPOI: 0.15,
systemInverterCapacity: 0.15,
systemSize: 0.195,
specificYieldUsedInAnalysis: 1504.9936308468727,
dcacAtPOI: 1.3,
dcacAtInverter: 1.3,
epcbosCost: 0.5,
epcCapitalCost: 0.0975,
developmentCostTotal: 0.03,
moduleCostTotal: 0.058499999999999996,
capitalCostTotalPreITC: 0.186,
capitalCostTotalPostITC: 0.13763999999999998,
yearOneEnergy: 293.4737580151402,
averageGCRPercentage: 40,
itcTotal: 0.04836,
basisForDepreciation: 0.15252,
bonusDepreciation: 0,
basisForMACRS: 0.15252,
salvageValue: 0.009300000000000001,
energyInput: 1504.9936308468727,
bosInput: 0.5,
developmentCostPerWatt: 0.2,
moduleCostPerWatt: 0.3,
itcPercentage: 26,
yearOneEnergyAdjustmentPercentage: 0,
annualSolarDegradationPercentage: 0.3,
ppaPrice: 25,
ppaEscalatorPercentage: 0,
omYearOne: 3.5,
omYearlyEscalatorPercentage: 2.5,
ppaDuration: 20,
postPPAPrice: 50,
postPPAPriceEscalationPercentage: 2,
projectLife: 35,
discountNPVPercentage: 6,
itcEligibilityPercentage: 100,
solarSalvageValuePercentage: 5,
insuranceCapitalCostPercentage: 0.15,
insuranceEscalatorPerYearPercentage: 0,
bonusDepreciationRate: 0,
stateTaxRate: 6,
federalTaxRate: 21,
solarLandLeaseCost: 0,
solarLandLeaseEscalationPercentage: 0,
solarPropertyTaxCost: 0,
solarPropertyTaxEscalationPercentage: 0
})
};
fetch('https://api.plantpredict.terabase.energy/Project/{projectId}/Prediction/{predictionId}/FinancialModelParameters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"systemSizeAtPOI": 0.15,
"systemInverterCapacity": 0.15,
"systemSize": 0.195,
"specificYieldUsedInAnalysis": 1504.9936308468727,
"dcacAtPOI": 1.3,
"dcacAtInverter": 1.3,
"epcbosCost": 0.5,
"epcCapitalCost": 0.0975,
"developmentCostTotal": 0.03,
"moduleCostTotal": 0.058499999999999996,
"capitalCostTotalPreITC": 0.186,
"capitalCostTotalPostITC": 0.13763999999999998,
"yearOneEnergy": 293.4737580151402,
"averageGCRPercentage": 40,
"itcTotal": 0.04836,
"basisForDepreciation": 0.15252,
"bonusDepreciation": 0,
"basisForMACRS": 0.15252,
"salvageValue": 0.009300000000000001,
"energyInput": 1504.9936308468727,
"bosInput": 0.5,
"developmentCostPerWatt": 0.2,
"moduleCostPerWatt": 0.3,
"itcPercentage": 26,
"yearOneEnergyAdjustmentPercentage": 0,
"annualSolarDegradationPercentage": 0.3,
"ppaPrice": 25,
"ppaEscalatorPercentage": 0,
"omYearOne": 3.5,
"omYearlyEscalatorPercentage": 2.5,
"ppaDuration": 20,
"postPPAPrice": 50,
"postPPAPriceEscalationPercentage": 2,
"projectLife": 35,
"discountNPVPercentage": 6,
"itcEligibilityPercentage": 100,
"solarSalvageValuePercentage": 5,
"insuranceCapitalCostPercentage": 0.15,
"insuranceEscalatorPerYearPercentage": 0,
"bonusDepreciationRate": 0,
"stateTaxRate": 6,
"federalTaxRate": 21,
"solarLandLeaseCost": 0,
"solarLandLeaseEscalationPercentage": 0,
"solarPropertyTaxCost": 0,
"solarPropertyTaxEscalationPercentage": 0
}{
"message": "The request is invalid.",
"modelState": {
"latitude": [
"The field Latitude must be between -90 and 90."
]
}
}"Project not found.""An error has occurred."Authorizations
Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.
Body
application/json
The body is of type object.
Response
Saved parameters
The response is of type object.
⌘I
Save financial model parameters
